% writeVector.m
% shows how a vector of numbers can be
% written to a file all at once

xdata = [1.0  3.2  7.4  8.7  9.1];
ydata = [32.8  21.9  17.6  29.2  30.4];
results = [1.09  2.13  3.48  2.87  0.98];

% write vector contents in horizontal rows
fid = fopen('results.txt', 'w');
fprintf(fid, 'experimental results:');
fprintf(fid, '\nxdata: ');
fprintf(fid, '%6.2f', xdata);
fprintf(fid, '\nydata: ');
fprintf(fid, '%6.2f', ydata);
fprintf(fid, '\nresults: ');
fprintf(fid, '%6.2f', results);
fclose(fid);

